### Virtual Method

# Ide VcsTag get_name

#### Declaration

    gchar*
    get_name (
      IdeVcsTag* self
    )

#### Description

Gets the name of the tag, which is used in various UI elements to display to the user.

Available since: | 3.32

#### Return value

Returns: | `gchar*`
| A string containing the tag name.
| The caller of the function takes ownership of the data, and is responsible for freeing it.
| The value is a NUL terminated UTF-8 string.